Bug 448526 - Blue highlight disappears after right-clicking on items in right pane
Summary: Blue highlight disappears after right-clicking on items in right pane
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Launcher (Kickoff) (show other bugs)
Version: 5.24.90
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-15 13:42 UTC by Patrick Silva
Modified: 2022-07-05 17:22 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-01-15 13:42:38 UTC
SUMMARY
Can reproduce consistently with apps in Kickoff and inconsistently with hidden systray ycons.

STEPS TO REPRODUCE
1. open Kickoff
2. hover over a Favorite app: the app is highlighted in blue
3. right-click: blue highlight disappears

OR

1. click on the icon to show hidden systray icons
2. repeatedly hover over hidden systray icons and right-click on them: sometimes the blue highlight disappears after the right-click

EXPECTED RESULT
right-clicked icon should remain highlighted in blue

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-01-21 01:46:42 UTC
Each of these uses a custom view; we'll need one bug report per affected applet. Let's use this one for Kickoff.
Comment 2 Noah Davis 2022-01-25 22:26:25 UTC
I think this was done intentionally at some point, but I can't remember when it was done, why it was done or who did it. I'm OK with removing or keeping it. Git blame says it's my code, but I distinctly remember trying to preserve existing behavior.

```qml
        highlight: PlasmaCore.FrameSvgItem {
            // The default Z value for delegates is 1. The default Z value for the section delegate is 2.
            // The highlight gets a value of 3 while the drag is active and then goes back to the default value of 0.
            z: root.currentItem && root.currentItem.Drag.active ?
                3 : 0
            opacity: view.activeFocus
                || (plasmoid.rootItem.contentArea === root
                    && plasmoid.rootItem.searchField.activeFocus) ? 1 : 0.5
            imagePath: "widgets/viewitem"
            prefix: "hover"
            visible: plasmoid.rootItem.contentArea !== root
                || ActionMenu.menu.status !== 1
        }
```

`visible: plasmoid.rootItem.contentArea !== root || ActionMenu.menu.status !== 1` is the relevant bit of code. We just need to remove `|| ActionMenu.menu.status !== 1`.
Comment 3 Bug Janitor Service 2022-07-05 17:04:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1021
Comment 4 Nate Graham 2022-07-05 17:20:30 UTC
Git commit 81129445316dcbe3082b14e48e0138b303cd5863 by Nate Graham.
Committed on 05/07/2022 at 17:02.
Pushed by ngraham into branch 'master'.

applets/kickoff: remove highlight visibility conditions

These conditions seem unnecessary and cause a minor bug. Let's remove
them and allow the ListView to manage highlight visibility itself.
FIXED-IN: 5.25.3

M  +0    -2    applets/kickoff/package/contents/ui/KickoffGridView.qml
M  +0    -2    applets/kickoff/package/contents/ui/KickoffListView.qml

https://invent.kde.org/plasma/plasma-desktop/commit/81129445316dcbe3082b14e48e0138b303cd5863
Comment 5 Nate Graham 2022-07-05 17:22:42 UTC
Git commit 9c9b53b6bf021ddc8709a34db998fb21f4138f61 by Nate Graham.
Committed on 05/07/2022 at 17:22.
Pushed by ngraham into branch 'Plasma/5.25'.

applets/kickoff: remove highlight visibility conditions

These conditions seem unnecessary and cause a minor bug. Let's remove
them and allow the ListView to manage highlight visibility itself.
FIXED-IN: 5.25.3
(cherry picked from commit 81129445316dcbe3082b14e48e0138b303cd5863)

M  +0    -2    applets/kickoff/package/contents/ui/KickoffGridView.qml
M  +0    -2    applets/kickoff/package/contents/ui/KickoffListView.qml

https://invent.kde.org/plasma/plasma-desktop/commit/9c9b53b6bf021ddc8709a34db998fb21f4138f61